Subject: Re: missing tsort in textutils.tar.gz
From: "Richard Y. Kim" <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 7 Jul 2000 11:20:42 -0700 (PDT)

>>>>> "DJ" == DJ Delorie <[email-masked]> writes:

    DJ> Please feel free to port textutils-2.0 to cygwin and
    DJ> provide a replacement installation package for
    DJ> latest.

I believe there is nothing to "port".  textutils-2.0.tar.gz
compiles and runs out of the box. The only problem is that
"make check" fails due to use of file names that cannot be
supported on case-insensitive file systems such as NTFS.  I
have submitted a bug report to gnu.org.  I include a copy of
that report at the end of this email.

I found this out by using winzip rather than GNU tar.
Winzip warns the user of "duplicate" files whereas GNU tar
does not.  Perhaps GNU tar could be modified for cygwin to
alert the user of this conflict.

Whey you say "provide a replacement installation package",
do you mean a tarball with the compiled binaries?
If so, how can you trust a stranger (i.e., myself) to
provide binaries?

---------------------------------------------------------------

[The following is a bug report I emailed to
 [email-masked] a few minutes ago.]

In short, I would like to request that three test file names be
changed so that they can exist on case-insensitive file systems.

My reason follows.

textutils-2.0.tar.gz comes with these files

     tests/pr/2S_f-t_notab
     tests/pr/2s_f-t_notab
       	       ^
    	       |
     -----------

     tests/pr/2Sf-t_notab
     tests/pr/2sf-t_notab
       	       ^
    	       |
     -----------

     tests/pr/W72l17f-ll
     tests/pr/w72l17f-ll
       	      ^
    	      |
     ----------

i.e., three pairs of files are exactly the same except that one letter
has different case.

This causes "make check" to fail on case-insensitive file systems such
as NTFS or FAT32 on Windows where two files with same name but
different case cannot co-exist.

If you could rename these three files, then the normal build process
would go without a hitch under cygwin on Windows OS, i.e.,

	tar zxf textutils-2.0.tar.gz
	cd textutils-2.0
	./configure
	make
	make check
	make install

Because of the file name problems, "make check" fails in three "pr"
program tests.

Thank you for your time.

--
Want to unsubscribe from this list?
Send a message to [email-masked]